macOS High Sierra compatibility

Audio, MIDI and other software, not including effects or instruments

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 8:06 pm

Plugin Alliance

https://www.plugin-alliance.com/en/support.html

Do you support macOS 10.13 (High Sierra)?

We do not currently support 10.13, but we will be adding support soon. We recommend that users wait to update if possible. We’re planning to add 10.13 support sometime in the Fall. If you have already installed 10.13, please see the Known Issues section for info on the High Sierra workaround.


The workaround:

PA plugins will likely fail Logic’s AU Validation process for Mac users who update to 10.13 before we update our plugins to support it (sometime this Fall). However, there is a simple workaround: Go to LogicX Pro > Preferences > Plug-in Manager. Then select your PA plugin(s) and click the “Reset & Rescan Selection” button. Then click “Done” and your plugins should be validated and ready to use in Logic.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 8:08 pm

Roland

https://www.roland.com/global/support/s ... 09261013r/

Here you can get the current status of Roland product's compatibility with macOS High Sierra (10.13).


See their page for the full run-down. Most devices are currently under testing.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 8:10 pm

Korg

http://www.korg.com/us/news/2017/0920/

We are excited about macOS High Sierra and iOS11 from Apple Inc. and we are currently testing all KORG products to be the compliant for these OS and will confirm compliance dates for each KORG product as soon as possible. Until we have confirmed compliance, we advise waiting until all devices and applications have been tested before updating to these OS.

We thank you in advance for your patience and understanding.


Update 27 Sep 2017

http://www.korguser.net/

We are pleased to announce that KORG Legacy Collection series is now Supported for macOS High Sierra (10.13).

This update is available to registered users as a free download.
Log into KORG USER NET via the right column, and click [Download for registered users].

Here are the details of the update:

  • Supported for macOS High Sierra (10.13).
  • Improved the audio input/output settings.
  • Stability improvements.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 8:14 pm

Avid

http://avid.force.com/pkb/articles/en_U ... igh-Sierra

Media Composer
macOS 10.13 (High Sierra) is not supported at this time.

Pro Tools
macOS 10.13 (High Sierra) is not supported at this time.

Avid Audio Interface Drivers
macOS 10.13 (High Sierra) is not supported at this time.

VENUE
macOS 10.13 (High Sierra) is not supported at this time.

Sibelius
macOS 10.13 (High Sierra) is not supported at this time.

EUCON
macOS 10.13 (High Sierra) is not supported at this time.

ISIS & NEXIS
macOS 10.13 (High Sierra) is not supported at this time.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 8:17 pm

Finale

https://makemusic.zendesk.com/hc/en-us/ ... rra-10-13-

After thorough testing on macOS High Sierra, our latest version of Finale (Version 25) will be compatible with High Sierra.

Finale and PrintMusic 2014.5 will not be compatible or supported on macOS High Sierra due to the possibility of unforeseen issues that could prevent these programs from running in a satisfactory manner. In the event that you are already on High Sierra, or have a new computer that has the new OS, please check out the free 30-day free trial of the latest version of Finale.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 8:49 pm

Metric Halo

https://www.facebook.com/MetricHalo/pos ... 3472977250

macOS High Sierra is out today. Metric Halo products are good to go on day 1 (again)!

There is a new version of MIO Console and the MIO Driver available today. v.5.6.10. Required for macOS High Sierra (10.13) and recommended for all users on all OSes (10.6.8 and newer).

In High Sierra, Apple has introduced an extra layer of security for System Extensions (otherwise known as drivers). This requires some additional steps to activate newly installed drivers on a fresh install of High Sierra. If you use third-party hardware that requires custom drivers (like the Mobile I/O), you will need to take this into account.

If you use AU plugins, you may have to reboot macOS High Sierra after installing new plugins in order for them to be recognized by the system. We have seen this with Metric Halo AU plugins.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Wed, 27 Sep 2017 3:43 am

Sinevibes

via email

Sinevibes is pleased to announce that all of its current plugins have been tested and are working fine under the new macOS 10.13 High Sierra. After updating their system user can expect their Sinevibes plugins to simply continue working as usual, there is no need to download any updates.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Wed, 27 Sep 2017 4:31 am

MOTU

http://motu.com/newsitems/motu-and-mac-os-high-sierra

Apple has released MacOS High Sierra (version 10.13). MOTU has worked with Apple to ensure current MOTU products are compatible with MacOS High Sierra, and to provide a smooth transition for your MOTU products when you upgrade to MacOS High Sierra.

ATTENTION Digital Performer 9.x users
Important compatibility information about MacOS High Sierra


DP is not yet compatible with High Sierra. We recommend that you wait until an update becomes available before upgrading your Mac to High Sierra. Check this web page for the latest news about a DP9 update for High Sierra.


Current versions of all other MOTU software products and hardware drivers available at motu.com/download (latest versions) appear to be compatible with High Sierra, although final compatibility testing is still on-going.

In some cases, MOTU software updates may be available soon to achieve 100% compatibility. Check motu.com frequently for further announcements in the near future.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Wed, 27 Sep 2017 6:15 am

FabFilter

https://www.facebook.com/fabfilter/phot ... 47/?type=3

All FabFilter plug-ins from https://www.fabfilter.com/download are fully compatible with the latest macOS High Sierra.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 02 Oct 2017 5:54 pm

Audio Damage

https://www.facebook.com/AudioDamageInc ... 4256945020

As far as we can tell with initial testing, all Audio Damage plugins work fine in macOS 10.13 High Sierra. We have also done (light) testing of Logic Pro X and Live, and they seem fine.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Tue, 03 Oct 2017 4:55 am

Sound Radix

via email

We bet you're excited about Apple's new macOS High Sierra release, yet you might be concerned with the new system's compatibility with your plug-ins, and so are we. We're therefore happy to report that all Sound Radix products are fully compatible with macOS High Sierra!

However, with this update, it appears that Apple has deprecated support for the Carbon framework which means older plug-ins using this technology can no longer display their user interface. Therefore we strongly recommend our 32 Lives users do NOT upgrade to macOS High Sierra at this time.

In addition, some users reported a general minor issue with all newly-installed Audio Units plug-ins validation which effects Logic Pro X. Luckily, it appears that a simple restart and relaunch of Logic Pro X after a plug-in installation resolves the issue.

As with any new major OS update, if you're currently in a midst of a project or have any doubts about your software and plug-ins compatibility with the new OS, we warmly recommend not to upgrading to the new system until time and confidence will allow.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Fri, 13 Oct 2017 9:57 am

UBK/Kush

via email

HIGH SIERRA ALERT

For a small number of users, the Mac OS High Sierra update has broken the Audio Units version of UBK-1. The only clue we have is that these users have SSD’s in Macbook Pro’s, which seems to implicate the new file & directory structure Apple introduced with this OS.

We’ve made investigating the cause our top priority, but so far have been unable to replicate the issue on our end and are only able to speculate. We will continue to look into it and will alert the community as soon as the issue is resolved, either by us or, if the problem is on their end, by Apple.

More updates to come as we learn more!

- The House of Kush
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Fri, 13 Oct 2017 10:12 am

Waldorf Music

https://www.facebook.com/WaldorfMusic/p ... 73/?type=3

Dear Waldorf customer,

MacOS High Sierra is currently not supported by Waldorf software VSTi's or plug-ins. We highly recommend NOT to update at present and wait for the result of our compatibility check. Thank you for understanding.

Your Waldorf Music Team.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Previous

Return to Applications



Who is online

Users browsing this forum: No registered users and 0 guests